ZIP_SOURCE_ROLLBACK_WRITE(3) | Library Functions Manual | ZIP_SOURCE_ROLLBACK_WRITE(3)

# NAME

`zip_source_rollback_write` —
undo changes to zip source

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_source_rollback_write`(zip_source_t *source);

# DESCRIPTION

The function `zip_source_rollback_write`() reverts changes written to source, restoring the data before zip_source_begin_write(3) was called. Usually this removes temporary files or frees buffers.

# RETURN VALUES

Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

# SEE ALSO

libzip(3), zip_source(3), zip_source_begin_write(3), zip_source_commit_write(3), zip_source_seek_write(3), zip_source_tell_write(3), zip_source_write(3)

# HISTORY

`zip_source_rollback_write`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35